"{ Package: 'stx:goodies/monticello' }"

Object subclass:#MCDoItParser
	instanceVariableNames:'source'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Chunk Format'
!


!MCDoItParser class methodsFor:'as yet unclassified'!

concreteSubclasses
	^ self allSubclasses reject: [:c | c isAbstract]
!

forDoit: aString
	^ (self subclassForDoit: aString) ifNotNilDo: [:c | c new source: aString]
!

isAbstract
	^ self pattern isNil
!

pattern
	^ nil
!

subclassForDoit: aString
	^ self concreteSubclasses detect: [:ea | ea pattern match: aString] ifNone: []
! !

!MCDoItParser methodsFor:'as yet unclassified'!

addDefinitionsTo: aCollection
	self subclassResponsibility 
!

source
	^ source
!

source: aString
	source _ aString
! !

!MCDoItParser class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCDoItParser.st,v 1.1 2006-11-22 13:06:23 cg Exp $'
! !
